> For the complete documentation index, see [llms.txt](https://docs.ggwp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ggwp.com/jp/idoyobiakusesuiam/apidokyumento-scim/yzapi/yzwo-1.md).

# ユーザーを取得

### 概要

一意の識別子でユーザーを取得します。

このエンドポイントは、Okta や Microsoft Azure Active Directory などの ID プロバイダーによって次の目的で使用されます:

* ユーザー作成を検証する
* 最新のユーザー状態を取得する
* プロビジョニングを検証する

***

### エンドポイント

```bash
GET /Users/{id}
```

***

### 完全なURL

```bash
https://api.ggwp.com/scim/v2/Users/{id}
```

***

### 認証

```http
Authorization: Bearer <access_token>
```

***

## パスパラメーター

<table><thead><tr><th width="143.5">パラメータ</th><th width="148.5">型</th><th>説明</th></tr></thead><tbody><tr><td>id</td><td>文字列</td><td>一意のユーザー識別子（scim_id）</td></tr></tbody></table>

***

## レスポンス

### 成功（200 OK）

```json
{
  "schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
  "id": "c118d158-c11b-495b-ab88-f57c8ac473c0",
  "userName": "Temp_user_prod",
  "externalId": "ABC1900BE",
  "active": true,
  "name": {
    "givenName": "Temp",
    "familyName": "User"
  },
  "displayName": "一時ユーザー",
  "emails": [
    {
      "value": "temp_user_us@example.com",
      "primary": true
    }
  ],
  "roles": [
    {
      "value": "admin"
    }
  ],
  "meta": {
    "resourceType": "User",
    "location": "https://api.ggwp.com/scim/v2/Users/c118d158-c11b-495b-ab88-f57c8ac473c0",
    "created": "2026-04-01T11:15:22Z",
    "lastModified": "2026-04-01T11:15:22Z"
  }
}
```

***

## エラーレスポンス

### 404 Not Found

```json
{
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
  "status": "404",
  "detail": "ユーザーが見つかりません"
}
```
